import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class Background extends World
{
    private HealthBar hpBar;
    private int currentHP;
    
    public Background()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(400, 300, 1); 
        
        hpBar = new HealthBar (100);
        addObject (hpBar, 200, 150);
        
        currentHP = 100;
    }
    
    public void act ()
    {
        if (Greenfoot.isKeyDown ("left"))
        {
            if (currentHP > 0)
            {
                currentHP-=2;
                hpBar.changeHP (currentHP);
            }
        }
        if (Greenfoot.isKeyDown ("right"))
        {
            if (currentHP < 100)
            {
                currentHP+=2;
                hpBar.changeHP (currentHP);
            }
        }
    }
}
