import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;

/**
 * Write a description of class HealthBar here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class HealthBar extends Actor
{
    private GreenfootImage bar;    
    private Color backColor = Color.RED;
    private Color hpColor = Color.GREEN;
    private int maxHP;
    private int barWidth = 196;

    public HealthBar (int maxHP)
    {
        this.maxHP = maxHP;
        bar = new GreenfootImage (200, 50);
        bar.setColor (backColor);
        bar.fill();
        bar.setColor (hpColor);
        bar.fillRect(2,2,barWidth,46);
        this.setImage (bar);
    }
    
    public void changeHP (int currentHP)
    {
        bar.clear();
        bar.setColor (backColor);
        bar.fill();
        bar.setColor (hpColor);
        
        // use precise division to find percentage of health, then
        // multiply that by the size of the bar, and finally cast it
        // back into an integer for how many pixels wide the green
        // part of the HP bar should be:
        int hpSize = (int)(((double)currentHP / (double)maxHP) * 196);
        bar.fillRect (2, 2, hpSize, 46);
        
    }

    
}
